!+ Subroutine to scale amount of absorber by diffusivity.
!
! Method:
!	The amount of absorber is scaled using the diffusivity
!	factor. This equivalently leads to the generation of
!	flux transmittances.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	Version		Date			Comment
!	1.0		12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77  with extensions listed in documentation.
!
!- ---------------------------------------------------------------------
      SUBROUTINE CONVERT_AMOUNT(IERR, LENGTH_SET
     &   , DIFFUSIVITY_FACTOR, U_SET)
!
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/dimensions_pp.ucf'
      INCLUDE 'incl/def_std_io.icf'
      INCLUDE 'incl/error.pcf'
!
!     DUMMY ARGUMENTS.
      INTEGER	!, INTENT(OUT)
     &     IERR
!             ERROR FLAG
      INTEGER	!, INTENT(IN)
     &     LENGTH_SET
!             LENGTHS OF SETS
      REAL*8	!, INTENT(IN)
     &     DIFFUSIVITY_FACTOR
!             DIFFUSIVITY FACTOR
      REAL*8	!, INTENT(INOUT)
     &     U_SET(NPD_AMOUNT)
!             AMOUNTS OF ABSORBER
!
!     LOCAL VARIABLES.
      INTEGER
     &     J
!             LOOP VARIABLE
!
!
      DO J=1, LENGTH_SET
         U_SET(J)=U_SET(J)/DIFFUSIVITY_FACTOR
      ENDDO
!
!
      RETURN
      END
